[arch-commits] Commit in xorg-server/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 12 14:48:19 EDT 2008


    Date: Sunday, October 12, 2008 @ 14:48:19
  Author: jgc
Revision: 15225

Merged revisions 15042 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xorg-server/trunk

........
  r15042 | jgc | 2008-10-12 14:14:34 +0200 (Sun, 12 Oct 2008) | 1 line
  
  upgpkg: xorg-server 1.5.2-1
........

Modified:
  xorg-server/repos/testing-x86_64/	(properties)
  xorg-server/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |   29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)


Property changes on: xorg-server/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xorg-server/trunk:1-14180
   + /xorg-server/trunk:1-15223

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-10-12 18:48:09 UTC (rev 15224)
+++ testing-x86_64/PKGBUILD	2008-10-12 18:48:19 UTC (rev 15225)
@@ -3,7 +3,7 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 
 pkgname=xorg-server
-pkgver=1.5.1
+pkgver=1.5.2
 pkgrel=1
 pkgdesc="X.Org X servers"
 arch=('i686' 'x86_64')
@@ -18,17 +18,17 @@
 source=(${url}/releases/individual/xserver/${pkgname}-${pkgver}.tar.bz2
 	001_fedora_extramodes.patch
 	xorg-redhat-die-ugly-pattern-die-die-die.patch)
-md5sums=('d16f5a033f001c9069b4141194614da2'
+md5sums=('376a1c790f7519f3ab3e047409c659f0'
          '033427f2b406cba8dd6103ff374e7156'
          '1a336eb22e27cbf443ec5a2ecddfa93c')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   # extramodes
-  patch -Np1 -i ${srcdir}/001_fedora_extramodes.patch || return 1
+  patch -Np1 -i "${srcdir}/001_fedora_extramodes.patch" || return 1
 
   # Get rid of the ugly pattern
-  patch -Np3 -i ${srcdir}/xorg-redhat-die-ugly-pattern-die-die-die.patch || return 1
+  patch -Np3 -i "${srcdir}/xorg-redhat-die-ugly-pattern-die-die-die.patch" || return 1
 
   # Fix dbus config path
   sed -i -e 's/\$(sysconfdir)/\/etc/' config/Makefile.*  || return 1
@@ -66,21 +66,22 @@
               --with-dri-driver-path=/usr/lib/xorg/modules/dri || return 1
 
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  rm -rf ${pkgdir}/var/log || return 1
+  rm -rf "${pkgdir}/var/log" || return 1
 
-  install -m755 -d ${pkgdir}/etc/X11 || return 1
-  install -m755 -d ${pkgdir}/var/lib/xkb || return 1
+  install -m755 -d "${pkgdir}/etc/X11" || return 1
+  install -m755 -d "${pkgdir}/var/lib/xkb" || return 1
 
   # No longer needed, but as nvidia-utils mangles these files,
   # keep them like this so they can be restored
-  mv ${pkgdir}/usr/lib/xorg/modules/libwfb.so \
-     ${pkgdir}/usr/lib/xorg/modules/libwfb.so.1.4 || return 1
+  mv "${pkgdir}/usr/lib/xorg/modules/libwfb.so" \
+     "${pkgdir}/usr/lib/xorg/modules/libwfb.so.1.4" || return 1
 
   # Needed for non-mesa drivers, libgl will restore it
-  mv ${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so ${pkgdir}/usr/lib/xorg/modules/extensions/libglx.xorg
+  mv "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.so" \
+     "${pkgdir}/usr/lib/xorg/modules/extensions/libglx.xorg" || return 1
 
-  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }




More information about the arch-commits mailing list